part of 'verify_otp_bloc.dart';

abstract class VerifyOtpEvent extends Equatable {
  const VerifyOtpEvent();

  @override
  List<Object?> get props => [];
}

class OtpChanged extends VerifyOtpEvent {
  final String otp;

  const OtpChanged({required this.otp});

  @override
  List<Object?> get props => [otp];
}

class VerifyOtpSubmitted extends VerifyOtpEvent {
  final String emailAddress;
  final String otp;

  const VerifyOtpSubmitted({
    required this.emailAddress,
    required this.otp,
  });

  @override
  List<Object?> get props => [emailAddress, otp];
}